CentOS6のsamba3をsamba4へアップグレード(再インストール扱い)

yumを信頼してやっていこう

いきなり

はい、ということで、samba3を運用中にいきなりコマンドをかまします。
samba4系をyumで入れるにはsamba4を指定します。

yum install samba4

すると、samba3とのコンフリクト(競合エラー)

仕方ないのでsambaを削除

なので、sambaの設定ファイルをバックアップし、sambaを消します。

cp /etc/samba/smb.conf /root/
yum remove samba

再チャレンジ

そして、再チャレンジ

yum install samba4

まだエラーです。
詳細は以下。

–> Running transaction check
—> Package libldb.x86_64 0:1.1.13-3.el6 will be installed
—> Package pytalloc.x86_64 0:2.0.7-2.el6 will be installed
–> Processing Conflict: samba4-common-4.0.0-60.el6_5.rc4.x86_64 conflicts samba-common < 3.9.9 --> Finished Dependency Resolution
Error: samba4-common conflicts with samba-common-3.6.9-167.el6_5.x86_64
You could try using –skip-broken to work around the problem
You could try running: rpm -Va –nofiles –nodigest

samba関連のパッケージを削除

なので、取り合えず、common関連消しちゃいましょー。

yum remove samba-common-*

すると、色々ついてきます。

Loaded plugins: downloadonly, fastestmirror, priorities, security
Setting up Remove Process
Resolving Dependencies
–> Running transaction check
—> Package samba-common.x86_64 0:3.6.9-167.el6_5 will be erased
–> Processing Dependency: samba-common = 3.6.9-167.el6_5 for package: samba-winbind-3.6.9-167.el6_5.x86_64
–> Running transaction check
—> Package samba-winbind.x86_64 0:3.6.9-167.el6_5 will be erased
–> Processing Dependency: samba-winbind = 3.6.9-167.el6_5 for package: samba-winbind-clients-3.6.9-167.el6_5.x86_64
–> Running transaction check
—> Package samba-winbind-clients.x86_64 0:3.6.9-167.el6_5 will be erased
–> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================
Package Arch Version Repository Size
============================================================================================================
Removing:
samba-common x86_64 3.6.9-167.el6_5 @updates 36 M
Removing for dependencies:
samba-winbind x86_64 3.6.9-167.el6_5 @updates 7.7 M
samba-winbind-clients x86_64 3.6.9-167.el6_5 @updates 6.4 M

Transaction Summary
============================================================================================================
Remove 3 Package(s)

Installed size: 50 M
Is this ok [y/N]:

yumさん、さすがです。
もちろん、yの一択です。

気を利かせてくれました。

警告: /etc/samba/smb.conf は /etc/samba/smb.conf.rpmsave として保存されました。

さらに再チャレンジ

で、再チャレンジ

yum install samba4

Installed:
samba4.x86_64 0:4.0.0-60.el6_5.rc4

Dependency Installed:
libldb.x86_64 0:1.1.13-3.el6 pytalloc.x86_64 0:2.0.7-2.el6
samba4-common.x86_64 0:4.0.0-60.el6_5.rc4 samba4-libs.x86_64 0:4.0.0-60.el6_5.rc4

Complete!

ってことで、インストールに成功しました。
#ご利用は計画的に

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です